<template>
  <div>
    <div class="relative flex flex-col w-full">
      <div v-for="(agent, index) in chat.listAgent"
           class=" flex items-center py-4 flex-row justify-between border-b border-gray-200 overflow-hidden">
        <h3 class="m-0 font-semibold text-md whitespace-nowrap ellipsis overflow-hidden ">{{agent.full_name}} <span class="text-primary">({{ agent.role_name }})</span></h3>
        <div class="flex flex-row w-16 items-center gap-2">
          <div :class="`w-2 h-2 rounded-full ${agent.is_online ? 'bg-green-500' : 'bg-gray-300'}`"></div>
          <span :class="`uppercase  text-xs ${agent.is_online ? 'text-green-600' : 'text-gray-400'}`">{{agent.is_online ? 'Online':'Offline'}}</span>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import {useGeneralStore} from "../../../stores/general";
import {useChatListStore} from "../../../stores/chat_list";

const general = useGeneralStore()
const chat = useChatListStore()

console.log(chat.listAgent, "ISI LIST AGENT")
</script>